﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine.Networking;
using UnityEngine;
using System.IO;


// This script was made by Leo Butt. It searches a folder that you specify in the inspector. The folder MUST
// be inside a folder called Resources and it should be full of audio files.

// The script searches the folder for audio files, counts them and will play one when the script runs.
// to keep it interesting, we've added the possiblity to randomise the pitch and at present the script loops the file until the script is destroyed

public class FindAudioFiles : MonoBehaviour
{
    [Range(0, 3)]
    public float pitch;
    public string folderName;
    private AudioSource source;
    private AudioClip clip;
    //List<string> Files = new List<string>();
    Object[] Clips;
    List<AudioClip> playClips = new List<AudioClip>();

    void Start()
    {
        //Get AudioSource on this gameObject
        source = gameObject.GetComponent<AudioSource>();
        pitch = Random.Range(0.1f, 3); // mess with the pitch transposition if this bothers you

        Clips = Resources.LoadAll(folderName, typeof(AudioClip));

        foreach (AudioClip clip in Clips)
        {
            playClips.Add(clip);
        }

        PlaySound(Random.Range(0, Clips.Length));

        void PlaySound(int listIndex)
        {
            gameObject.GetComponent<AudioSource>().pitch = pitch;
            AudioClip clip = playClips[listIndex];
            print(listIndex);
            source.clip = clip;
            source.loop = false;
            source.Play();
            
        }
    }

    void Update()
    {
        //set the pitch of the audiosource
        //if (audioSource.pitch > 0)
        //{
        //  audioSource.pitch = startingPitch;
        //}
        if (!source.isPlaying)
        {
            Destroy(gameObject);
        }
    }


}
